

console.log('pp_outside_factory js')

$(document).ready(function () {

    $('#myTable').DataTable({
        responsive: true,
        "order": [],
        "columns": [
            { "data": "thoutside_factory_code" },
            { "data": "thoutside_factory_name" },
            { "data": "edit" },
            { "data": "view" },
            { "data": "delete" },
            { "data": "Status" },



        ],
    });

    loadData();
    loadSupplier();




});
//show the model
$('#btnfactorymodal').on('click', function () {
    $('#btnSaveFactory').text('Save')
    $('#btnSaveFactory').show();
    $('#factorymodal').modal('show');

});
$('#btnSaveFactory').on('click', function () {
    var form = $('#factoryfrm').get(0);
    var data = new FormData(form);
    if ($('#btnSaveFactory').text() == 'update') {
        if (isRequiredInputsUpdate().isRequired) {
            update(data);
        }
    } else {
        if (isRequiredInputsSave().isRequired) {
            save(data);
        }
    }


});

//load site id to the modal
function loadSupplier() {

    $.ajax({
        type: 'GET',
        url: '/pp/outside_factory/loadSupplier',
        async: false,
        success: function (response) {
            console.log(response.result)
            // console.log(response.result)
            console.log(response);
            if (response.success) {
                $('#Supplier_name').setData(response.result);
            } else {
                console.log('something went wrong');
            }
        }, error: function (data) {
            console.log(data);
            console.log('something went wrong');
        }
    });
}
function autoCompleteSelectedOption(input, data) {
    $('#supplier_id').val(data.id);
}
function save(data) {

    // console.log(name);

    $.ajax({
        url: "/pp/outside_factory/saveOutSideFactory",
        headers: { 'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') },
        type: "POST",
        enctype: 'multipart/form-data',
        data: data,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        success: function (data) {

            console.log(data);

            if (data.data.success) {
                showSuccessMessage("Data has been enabled successfully...");
                $('#factorymodal').modal('hide');
                loadData()
                $('#factoryfrm').trigger("reset");


            }


        },
        error: function (data) {
            console.log(data);
        },

    });
}
function update(data) {

    // console.log(name);

    $.ajax({
        url: "/pp/outside_factory/update",
        headers: { 'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') },
        type: "POST",
        enctype: 'multipart/form-data',
        data: data,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        success: function (data) {

            console.log(data);

            if (data.data.success) {
                showSuccessMessage("Data has been enabled successfully...");
                $('#factorymodal').modal('hide');
                loadData()
                $('#factoryfrm').trigger("reset");

            }


        },
        error: function (data) {
            console.log(data);
        },

    });
}
function loadData() {
    $.ajax({
        type: 'GET',
        url: '/pp/outside_factory/load',
        success: function (response) {
            console.log(response)
            if (response.data.success) {
                var disable = { 0: "", 1: "checked" };

                var data = [];
                for (i = 0; i < response.data.result.length; i++) {
                    var outside_factory_name = response.data.result[i]['outside_factory_name'];
                    var id = response.data.result[i]['outside_factory_id'];
                    var outside_factory_code = response.data.result[i]['outside_factory_code'];
                    var status = response.data.result[i]['status'];
                    data.push({
                        "thoutside_factory_code": outside_factory_code,
                        "thoutside_factory_name": outside_factory_name,
                        "edit": '<button class="btn btn-primary" onclick="edit(' + id + ')"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button>',
                        "view": '<button class="btn btn-success" onclick="view(' + id + ')"><i class="fa fa-eye" aria-hidden="true"></i></button>',
                        "delete": '<button class="btn btn-danger" onclick="_delete(' + id + ')"><i class="fa fa-trash" aria-hidden="true"></i></button>',
                        "Status": '<label class="switch"><input type="checkbox" onchange="disable(event,' + id + ')"  id="' + response.data.result[i].outside_factory_id + '"  ' + disable[response.data.result[i].status] + '><span class="slider round"></span></label>',
                        // "Status":'<input type="checkbox" id="' + response.data.result[i].machinery_id + '" onchange="disable(event,' + "'country'" + ')" ' + disable[ response.data.result[i].status] + '>',


                    });
                }



                var table = $('#myTable').DataTable();
                table.clear();
                table.rows.add(data).draw();
            }
        }, error: function (data) {
            // console.log('something went wrong');
        }
    });
}
function edit(id) {
    $.ajax({
        type: 'GET',
        url: '/pp/outside_factory/edit/' + id,
        success: function (response) {

            console.log(response.data.result);

            $('#factorymodal').modal('show');
            $('#outside_factory_id').val(response.data.result.outside_factory_id);

            $('#outside_factory_code').val(response.data.result.outside_factory_code);
            $('#outside_factory_name').val(response.data.result.outside_factory_name)
            $('#outside_factory_place').val(response.data.result.outside_factory_place)
            $('#outside_factory_description').val(response.data.result.outside_factory_description)
            $('#supplier_id').val(response.data.result.supplier_id)
            $('#Supplier_name').val(response.data.result.supplier_name)

            $('#btnSaveFactory').show();
            $('#btnSaveFactory').text('update')
        }, error: function (data) {
            // console.log('something went wrong');
        }
    });
}
function view(id) {
    $.ajax({
        type: 'GET',
        url: '/pp/outside_factory/edit/' + id,
        success: function (response) {

            console.log(response.data.result);

            $('#factorymodal').modal('show');
            $('#outside_factory_id').val(response.data.result.outside_factory_id);

            $('#outside_factory_code').val(response.data.result.outside_factory_code);
            $('#outside_factory_name').val(response.data.result.outside_factory_name)
            $('#outside_factory_place').val(response.data.result.outside_factory_place)
            $('#outside_factory_description').val(response.data.result.outside_factory_description)
            $('#supplier_id').val(response.data.result.supplier_id)
            $('#Supplier_name').val(response.data.result.supplier_name)

            $('#btnSaveFactory').hide()
        }, error: function (data) {
            // console.log('something went wrong');
        }
    });
}
function _delete(id) {
    $.ajax({
        type: 'DELETE',
        headers: { 'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') },
        url: '/pp/outside_factory/delete/' + id,
        success: function (response) {
            console.log(response);
            loadData()
        }, error: function (data) {
            // console.log('something went wrong');
        }
    });
}
function disable(event) {
    var id = event.target.id;
    var status = event.target.checked;

    var bool = 0;
    if (status) bool = 1;

    $.ajax({
        type: 'POST',
        url: '/pp/outside_factory/Disable/' + id,
        headers: { 'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') },
        data: { "status": bool },
        success: function (response) {
            console.log(response.data.result);
            if (response.data.result == 1) {
                toastr.success('Data Activated');
            } else {
                toastr.error('Data Deactivated');
            }
        }, error: function () {
            console.log('something went wrong');
        }
    });
}
function showSuccessMessage(message) {

    toastr.success(message);
}
