@extends('pp::layouts.app')

@section('head')
<!-- DataTable -->
<link rel="stylesheet" href="{{ url('vendors/dataTable/datatables.min.css') }}" type="text/css">
<link rel="stylesheet" href="{{ url('vendors/datepicker/daterangepicker.css') }}" type="text/css">
<!-- Prism -->
<link rel="stylesheet" href="{{ url('vendors/prism/prism.css') }}" type="text/css">
<link rel="stylesheet" href="{{ Module::asset('hr:css/hr/employee.css') }}" type="text/css">
<link rel="stylesheet" href="{{ Module::asset('hr:js/autocomplete2/css/autocomplete.min.css') }}">
<link rel="stylesheet" href="{{ Module::asset('hr:css/hr/settings.css') }}" media="all" type="text/css" />
<style>
    .modal {
        height: 90vh;
    }
</style>

<meta name="csrf-token" content="{{ csrf_token() }}">
@endsection

@section('content')

<div class="page-header">
    <div>
        <h3></h3>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item">
                    <a href="#">Home</a>
                </li>
                <li class="breadcrumb-item">
                    <a href="#">Pages</a>
                </li>
                <li class="breadcrumb-item active" aria-current="page">Form Page</li>
            </ol>
        </nav>
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <div class="card ">

            <div class="card-body">
                <h6 class="card-title">Allocate to Machine</h6>
                <div id="orderplan">

                    <br>

                    <div class="row" id='rowCustomerPlanTable'>
                        <div class="col-md-12">
                            <div class="table-responsive">
                                <!-- Required for Responsive -->
                                <table id="OrderPlanTable" class="table datatable">
                                    <thead>
                                        <tr>
                                            <th class="thOrderPlan">Id</th>
                                            <!-- <th class="thOrderPlan">Customer Order Plan Id</th>!-->
                                            <th class="thmanufactureID">Manufacturing Order number</th>
                                            <th class="thOrderId">customer order</th>
                                            <th class="thtrancedate">Trance date</th>
                                            <th class="thdeliveryDate">Delivery date</th>

                                            <th class="thDescription">Description</th>

                                        </tr>
                                    </thead>
                                    <tbody></tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <br>
                <div id="ProductOrder">


                    <br>
                    <hr>

                    <div class="row" id='rowProductOrderTable'>
                        <div class="col-md-12">
                            <div class="table-responsive">
                                <!-- Required for Responsive -->
                                <table id="ProductOrderTable" class="table  datatable">
                                    <thead>
                                        <tr>
                                            <th>ID</th>
                                            <th>Product Primary ID</th>
                                            <th>Start Date</th>
                                            <th>End Date</th>
                                            <th>product Name</th>
                                            <th>Quantity</th>
                                        </tr>
                                    </thead>
                                    <tbody>

                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>

                </div>

            </div>
        </div>
    </div>
</div>


<!--Add Order Modal -->

<div class="modal fade" id="allocateMachineModal" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-xl" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Allocate Machine</h5>
            </div>
            <div class="modal-body">
                <hr>
                <div class="row">
                    <div class="col-md-5 mb-3">
                        <div class="row">
                            <div class="col-md-4">
                                <label>Product Code</label>
                            </div>
                            <div class="col-md-6">
                                <label id="lblProductCode" name="productCode"></label>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-5 mb-3">
                        <div class="row">
                            <div class="col-md-4">
                                <label>Product Name</label>
                            </div>
                            <div class="col-md-6">
                                <label id="lblProductName" name="productName"></label>
                            </div>
                        </div>


                    </div>
                </div>
                <div class="row">
                    <div class="col-md-5 mb-3">
                        <div class="row">
                            <div class="col-md-4">
                                <label>Factory PO No.</label>
                            </div>
                            <div class="col-md-6">
                                <label id="lblFactoryPO" name="factoryPO"></label>
                            </div>
                        </div>


                    </div>
                    <div class="col-md-5 mb-3">
                        <div class="row">
                            <div class="col-md-4">
                                <label>Customer PO No.</label>
                            </div>
                            <div class="col-md-6">
                                <label id="lblCustomerPO" name="customerPO"></label>
                            </div>
                        </div>

                    </div>
                </div>
                <div class="row">
                    <div class="col-md-5 mb-3">
                        <div class="row">
                            <div class="col-md-4">
                                <label>Production Qty</label>
                            </div>
                            <div class="col-md-6">
                                <label id="lblProductionQty" name="productionQty"></label>
                            </div>
                        </div>


                    </div>
                    <div class="col-md-5 mb-3">
                        <div class="row">
                            <div class="col-md-4">
                                <label>Allocated Qty</label>
                            </div>
                            <div class="col-md-6">
                                <label id="lblAllocateQty" name="allocateQty"></label>
                            </div>
                        </div>

                    </div>
                </div>
                <div class="row">
                    <div class="col-md-5 mb-3">
                        <div class="row">
                            <div class="col-md-4">
                                <label>Factory</label>
                            </div>
                            <div class="col-md-6">
                                <select id="cmbFactory" class="form-control" name="factory"></select>
                            </div>
                        </div>


                    </div>
                    <div class="col-md-5 mb-3">
                        <div class="row">
                            <div class="col-md-4">
                                <label>Machine</label>
                            </div>
                            <div class="col-md-6">
                                <select id="cmbMachine" class="form-control" name="machine"></select>
                            </div>
                        </div>

                    </div>
                </div>

                <hr>
                <div class="row">
                    <div class="col-md-12">
                        <div class="table-responsive">
                            <!-- Required for Responsive -->
                            <table class="table table-sm table-striped" >
                                <thead>
                                    <tr>
                                        <th>Date</th>
                                        <th>From</th>
                                        <th>To</th>
                                        <th>Quantity</th>
                                        <th>Max Output</th>
                                        <th>Allocated</th>
                                        <th>Shift</th>
                                        <th>Add</th>
                                    </tr>
                                </thead>
                                <tbody id="tblAllocateProduct">

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <br>
                <br>
                <br>
                <br>
            </div>
            <div class="modal-footer">

                <button type="button" name="saveaddorder" id="btnSaveMachintoProduct" class="btn btn-primary">Save</button>
                <button type="button" name="canceladdorder" id="btnCancelAddOrder" class="btn btn-warning" data-dismiss="modal">Cancel</button>
            </div>
        </div>
    </div>
</div>


@endsection

<!-- App scripts -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
@section('script')
<!-- DataTable -->
<script src="{{ url('vendors/dataTable/datatables.min.js') }}"></script>
<script src="{{ url('assets/js/examples/datatable.js') }}"></script>
<script src="{{ url('vendors/datepicker/daterangepicker.js') }}"></script>
<script src="{{ Module::asset('hr:js/autocomplete2/js/autocomplete.min.js') }}?random=<?php echo uniqid(); ?>"></script>
<!-- RequiredInput -->
<script src="{{ Module::asset('pp:js/rquired_input.min.js') }}?random=<?php echo uniqid(); ?>"></script>
<script src="{{ Module::asset('pp:js/progress_widget.js') }}?random=<?php echo uniqid(); ?>"></script>
<!-- Javascript -->
<script src="{{ url('vendors/datepicker/daterangepicker.js') }}"></script>
<script src="{{ Module::asset('pp:js/allocate_to_machine.js') }}?random=<?php echo uniqid(); ?>"></script>

<!-- Prism -->
<script src="{{ url('vendors/prism/prism.js') }}"></script>
<!-- Sweet alert -->
<script src="{{ url('assets/js/examples/sweet-alert.js') }}"></script>
@endsection